#include "guess.h"
int find_number(int MAX) {
    int l = 1, r = 1e9;
    while (l < r) {
        int mid = (l + r+1) / 2;
        if (smaller(mid)) {
            r = mid - 1;
        }
        else {
            l = mid;
        }
    }
}

